Skip to main content
Server path: /genesys-social | Type: Application | PCID required: Yes

Tools

ToolDescription
genesys_social_delete_escalationruleDelete an escalation rule.
genesys_social_delete_topicDelete a social topic.
genesys_social_get_analytics_aggregates_jobGet status for async query for social media aggregates
genesys_social_get_analytics_aggregates_job_resultsFetch a page of results for an async social media query
genesys_social_get_analytics_messages_jobGet status for async query for social media messages job
genesys_social_get_analytics_messages_job_resultsFetch a page of results for an async social media messages query
genesys_social_get_escalationruleGet a single escalation rule.
genesys_social_get_escalationrulesRetrieve all escalation rules for a division.
genesys_social_get_topicGet a single social topic.
genesys_social_get_topic_dataingestionrulesRetrieve all social topic data ingestion rules with pagination.
genesys_social_get_topicsRetrieve all social topics.
genesys_social_patch_topicUpdate a social topic.
genesys_social_post_analytics_aggregates_jobsQuery for social media aggregates asynchronously
genesys_social_post_analytics_messages_jobsQuery for social media messages asynchronously
genesys_social_post_escalationrulesCreate an escalation rule.
genesys_social_post_escalations_messagesEscalate message to a conversation manually
genesys_social_post_topicsCreate a social topic.
genesys_social_put_escalationruleUpdate the escalation rule.

genesys_social_delete_escalationrule

Delete an escalation rule. Parameters:
ParameterTypeRequiredDefaultDescription
escalationRuleIdstringYesEscalation Rule Id

genesys_social_delete_topic

Delete a social topic. Parameters:
ParameterTypeRequiredDefaultDescription
topicIdstringYesTopic Id
hardDeletebooleanNoDetermines whether a Social topic should be soft-deleted or hard-deleted (permanently removed). Set to false (soft-delete) by default.

genesys_social_get_analytics_aggregates_job

Get status for async query for social media aggregates Parameters:
ParameterTypeRequiredDefaultDescription
jobIdstringYesJob Id

genesys_social_get_analytics_aggregates_job_results

Fetch a page of results for an async social media query Parameters:
ParameterTypeRequiredDefaultDescription
jobIdstringYesJob Id
cursorstringNoCursor token to retrieve next page

genesys_social_get_analytics_messages_job

Get status for async query for social media messages job Parameters:
ParameterTypeRequiredDefaultDescription
jobIdstringYesJob Id

genesys_social_get_analytics_messages_job_results

Fetch a page of results for an async social media messages query Parameters:
ParameterTypeRequiredDefaultDescription
jobIdstringYesJob Id
cursorstringNoCursor token to retrieve next page

genesys_social_get_escalationrule

Get a single escalation rule. Parameters:
ParameterTypeRequiredDefaultDescription
escalationRuleIdstringYesEscalation Rule Id
expandstringNowhich fields, if any, to expand

genesys_social_get_escalationrules

Retrieve all escalation rules for a division. Parameters:
ParameterTypeRequiredDefaultDescription
pageNumberintegerNoPage number
pageSizeintegerNoPage size
divisionIdstringYesOne division ID

genesys_social_get_topic

Get a single social topic. Parameters:
ParameterTypeRequiredDefaultDescription
topicIdstringYesTopic Id
includeDeletedbooleanNoDetermines whether to include soft-deleted items in the result.

genesys_social_get_topic_dataingestionrules

Retrieve all social topic data ingestion rules with pagination. Parameters:
ParameterTypeRequiredDefaultDescription
topicIdstringYesTopic Id
pageNumberintegerNoPage number
pageSizeintegerNoPage size
includeDeletedbooleanNoDetermines whether to include soft-deleted items in the result.

genesys_social_get_topics

Retrieve all social topics. Parameters:
ParameterTypeRequiredDefaultDescription
pageNumberintegerNoPage number
pageSizeintegerNoPage size
divisionIdsany[]NoOne or more division IDs. If nothing is provided, the social topics associated withthe list of divisions that the user has access to will be returned.
includeDeletedbooleanNoDetermines whether to include soft-deleted items in the result.
namestringNoSearch for topic by name that contains the given search string, search is case insensitive
idsany[]NoOne or more topic IDs to search through the topics.

genesys_social_patch_topic

Update a social topic. Parameters:
ParameterTypeRequiredDefaultDescription
topicIdstringYesTopic Id
descriptionstringNoA description of the social topic.
divisionIdstringNoThe ID of the division the social topic currently belongs to OR which it should be moved to.
namestringNoName of the social topic.

genesys_social_post_analytics_aggregates_jobs

Query for social media aggregates asynchronously Parameters:
ParameterTypeRequiredDefaultDescription
filterobjectNoThe filter value
granularitystringNoGranularity metrics into subpartitions within the time interval specified. The default granularity is the same duration as the interval. Periods are represented as an ISO-8601 string. For example: P1D or P1DT12H
groupByany[]NoBehaves like a SQL GROUPBY. Allows for multiple levels of grouping as a list of dimensions. Partitions resulting computations into distinct named subgroups rather than across the entire result set as if it were one group.
intervalstringYesBehaves like one clause in a SQL WHERE. Specifies the date and time range of data being queried. Intervals are represented as an ISO-8601 string. For example: YYYY-MM-DDThh:mm:ss/YYYY-MM-DDThh:mm:ss
metricsany[]YesBehaves like a SQL SELECT clause. Only named metrics will be retrieved.
pageSizeintegerNoThe number of results per page
timeZonestringNoTime zone context used to calculate response intervals (this allows resolving DST changes). The interval offset is used even when timeZone is specified. Default is UTC. Time zones are represented as a string of the zone name as found in the IANA time zone database. For example: UTC, Etc/UTC, or Europe/London

genesys_social_post_analytics_messages_jobs

Query for social media messages asynchronously Parameters:
ParameterTypeRequiredDefaultDescription
filterobjectNoThe filter value
intervalstringYesBehaves like one clause in a SQL WHERE. Specifies the date and time range of data being queried. Intervals are represented as an ISO-8601 string. For example: YYYY-MM-DDThh:mm:ss/YYYY-MM-DDThh:mm:ss
orderstringNoDeprecated: use ‘sort’ field instead. Sorting of results based on time
pageSizeintegerNoThe number of results per page
timeZonestringNoTime zone context used to calculate response intervals (this allows resolving DST changes). The interval offset is used even when timeZone is specified. Default is UTC. Time zones are represented as a string of the zone name as found in the IANA time zone database. For example: UTC, Etc/UTC, or Europe/London
topicIdsany[]NoList of topicIds to query in

genesys_social_post_escalationrules

Create an escalation rule. Parameters:
ParameterTypeRequiredDefaultDescription
descriptionstringNoA description of the social escalation rule.
divisionIdstringYesThe ID of the division the social escalation rule belongs to.
facebookEscalationobjectNoFacebook Escalation
googleBusinessProfileEscalationobjectNoGoogle Business Profile Escalation
instagramEscalationobjectNoInstagram Escalation
matchCriteriastringYesThe criteria that defines when a social media message should be escalated.
namestringYesThe name of the escalation rule.
openEscalationobjectNoOpen Escalation
priorityintegerYesThe priority of the escalation rule. The lower the number the higer the priority. Once a rule is matched others are skipped.
statusstringNoThe status of the escalation rule.
twitterEscalationobjectNoTwitter Escalation

genesys_social_post_escalations_messages

Escalate message to a conversation manually Parameters:
ParameterTypeRequiredDefaultDescription
divisionIdstringYesOne division ID
escalationTargetobjectNoEscalation Target
socialMediaNormalizedMessageIdstringYesThe social media normalized message ID to be escalated.

genesys_social_post_topics

Create a social topic. Parameters:
ParameterTypeRequiredDefaultDescription
descriptionstringNoA description of the social topic.
divisionIdstringYesThe ID of the division the social topic belongs to.
namestringYesName of the social topic.

genesys_social_put_escalationrule

Update the escalation rule. Parameters:
ParameterTypeRequiredDefaultDescription
escalationRuleIdstringYesEscalation Rule Id
descriptionstringNoA description of the social escalation rule.
divisionIdstringYesThe ID of the division the social escalation rule belongs to.
facebookEscalationobjectNoFacebook Escalation
googleBusinessProfileEscalationobjectNoGoogle Business Profile Escalation
instagramEscalationobjectNoInstagram Escalation
matchCriteriastringYesThe criteria that defines when a social media message should be escalated.
namestringYesThe name of the escalation rule.
openEscalationobjectNoOpen Escalation
priorityintegerYesThe priority of the escalation rule. The lower the number the higer the priority. Once a rule is matched others are skipped.
statusstringNoThe status of the escalation rule.
twitterEscalationobjectNoTwitter Escalation